function imuni=uniform(imw,variance);

% imuni=UNIFORM(imw,variance);
%
% 		Adds uniform noise to the image IMW
%
%		variance: variance for noise, 0..1
%
%		e.g.: imuni=uniform(imw,0.03);
%
%
% University of Rhode Island
% Dept. of Electrical Engineering
% Roger Meier, May '99


if variance < 0
	disp('variance must be > 0')
	break
end

imuni=imnoise(imw,'speckle',variance);
